import classNames from "classnames";
import { omit } from "lodash";
import React from "react";

type Props = {
    placeholder?: string | undefined,
    color?: string |undefined, 
    className?: string | undefined,
} & Omit<React.InputHTMLAttributes<HTMLInputElement> ,"">;

export const TextInput = ({
    placeholder = undefined,
    color = "white",
    className,
    ...props
} :Props) => {
    return(
        <input type="text" placeholder={placeholder} color={color} className={classNames({className})} />
    );
    
}
